Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 2 of 2
Invalid tgz file, not a valid package archive (Magento Connect)
 
MageAustralia
Member
 
Total Posts:  37
Joined:  2008-08-23
Sydney, Australia
 
bschiett - 26 April 2009 10:25 PM

myst2 - 26 April 2009 03:30 AM
I got exactly the same error, i’m waiting for my host provider to solve this or give me an answer.

see this thread

http://osdir.com/ml/php.pear.qa/2007-07/msg00032.html

the file you need to fix is in

./downloader/pearlib/php/Archive/Tar.php

i just tried it and it seems to work..

Thanks bschiett, this did the trick for me, specifically, if it’s unclear, you need to change

find this line (218) and comment it out as below:

# if (!$this->_extractList(’’, $v_list_detail, “list”, ‘’, ‘’)) {

and add these lines beneath it

$r = $this->_extractList(’’, $v_list_detail, “list”, ‘’, ‘’);
if (!$r) {

Worked for me. In fact deleting the pear.ini doesn’t recreate it with the magento channels. Only the standard pear channels are recreated.

 
Magento Community Magento Community
Magento Community
Magento Community
 
SushiTrain
Jr. Member
 
Total Posts:  13
Joined:  2009-08-19
 

Was trying to install the Fontis Australia extension to the Modern theme via Magento Connect and kept getting the invalid tgz file error...followed the steps in this post and it worked perfectly!

Thanks!!!

 
Magento Community Magento Community
Magento Community
Magento Community
 
oldcreekwbf
Jr. Member
 
Total Posts:  24
Joined:  2008-06-13
 

Yea, the problem has to do with a faulty Tar.php file in pearlib directory. An easier way to fix it for me was to simply go to pear.php.net and download the latest version of Tar.php. I then overwrote the old one (well I backed up the old one first) and copied over the new one. Worked like a charm.

You can download the newest version of Tar.php here: http://pear.php.net/package/Archive_Tar/download

 
Magento Community Magento Community
Magento Community
Magento Community
 
sulekh
Member
 
Avatar
Total Posts:  37
Joined:  2009-08-21
 

I have added the two lines of code with the tar.php file but after that also it is giving the same error. do i need to change any folder permissions for this in addition of the tar.php file.

File Attachments
Tar.php  (File Size: 62KB - Downloads: 123)
Tar.php  (File Size: 62KB - Downloads: 88)
 
Magento Community Magento Community
Magento Community
Magento Community
 
Leopold Hardin
Jr. Member
 
Total Posts:  16
Joined:  2010-07-26
 

Wanted to confirm that downloading the updated Tar.php file from http://pear.php.net/package/Archive_Tar/download sorts out the problem, at least for me. Remember you have to install it on top of the old tar file that’s located under download\pearlib\php\Archive. Backup the original just in case.

Thanks a lot guys!

 
Magento Community Magento Community
Magento Community
Magento Community
 
websitedesigner
Jr. Member
 
Total Posts:  27
Joined:  2010-01-10
 

Hi guys I can\\\\\\\’t get the Fontis Australia extension installed or the Fontis eway extension installed. The Fontis Australia one says Could not get contents of package \\\\\\\"/home/account/public_html/beta/downloader/pearlib/download/Fontis_Australia-2.0.7.tgz\\\\\\\". Invalid tgz file. For the Australian extension I have tried removing the .ini file and also copied down a new version of the tar.php file but that did nothing. For the eway extension it just doesn\\\\\\\’t appear in the backend. I can see the files are downloaded to /public_html/beta/downloader/pearlib/download but perhaps the problem is copying them across to whereever they need to go - is it possible to install manually? Maybe it\\\\\\\’s a permission problem.

 
Magento Community Magento Community
Magento Community
Magento Community
 
websitedesigner
Jr. Member
 
Total Posts:  27
Joined:  2010-01-10
 

I think the pear.ini removal fixed the installation of the eway one but still having issues with the Fontis Australia one, I’ll look into permissions

 
Magento Community Magento Community
Magento Community
Magento Community
 
websitedesigner
Jr. Member
 
Total Posts:  27
Joined:  2010-01-10
 

Hi guys I have tried pretty much everything and I can’t get this to work.

PHP version is 5.2.11, I’ve tried manually installing via Pear no good. I’ve tried replacing tar.php I think that was for an older version of Magento perhaps not necessary. I’ve removed pear.ini and had magento re-create it. I’ve set custom permissions under the setting in connect manager. we’ve reset all of the permissions on our server. It’s running suPHP but /I have installed this properly on another with the exact same configuration. All help would be appreciated.

Thanks

 
Magento Community Magento Community
Magento Community
Magento Community
 
fisherhoneybees
Jr. Member
 
Avatar
Total Posts:  26
Joined:  2009-11-10
 

I’m having the same issues still - I have replaced the tar.php, done the edits, and deleted the ini file.  But it is still not working for me.

 
Magento Community Magento Community
Magento Community
Magento Community
 
fisherhoneybees
Jr. Member
 
Avatar
Total Posts:  26
Joined:  2009-11-10
 

I’m having the same issues still - I have replaced the tar.php, done the edits, and deleted the ini file.  But it is still not working for me.

I a newbee at all of this and it’s driving me nuts!

 
Magento Community Magento Community
Magento Community
Magento Community
 
websitedesigner
Jr. Member
 
Total Posts:  27
Joined:  2010-01-10
 

Hi guys a quick update on this. I actually never got it resolves, I downloaded the site and it worked fine locally and since we were moving to a different web server anyway I moved the site to the new server and it worked fine on the new server so perhaps it was something to do with the old server.

 
Magento Community Magento Community
Magento Community
Magento Community
 
praba2011
Jr. Member
 
Avatar
Total Posts:  1
Joined:  2012-12-20
 

I have develop New package install through magento connect manager shows

CONNECT ERROR: Package file is invalid
Invalid package name, allowed: [a-zA-Z0-9_-] chars
Invalid version, should be like: x.x.x
Invalid stability
Invalid date, should be YYYY-DD-MM
Invalid channel URL
Empty authors section
Empty package contents section

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 2 of 2